Loading...
Searching...
No Matches
mptcpd_plugin_desc Struct Reference

Plugin-specific characteristics / descriptor. More...

`#include <plugin.h>`

## Private Attributes

char const *const | name
| Plugin name.
char const *const | description
| Plugin description.
char const *const | version
| mptcpd version against which the plugin was compiled.
int const | priority
| Plugin priority.
int(* | init )(struct mptcpd_pm *)
| Plugin initialization function.
void(* | exit )(struct mptcpd_pm *)
| Plugin finalization function.

## Detailed Description

Plugin-specific characteristics / descriptor.

## Member Data Documentation

## priority

int const mptcpd_plugin_desc::priority

private

Plugin priority.

Plugin priority, where the higher values are lower in priority, and lower values are higher in priority, similar to how process scheduling priorities are defined.

See also
  `MPTCP_PLUGIN_PRIORITY_LOW`
  `MPTCP_PLUGIN_PRIORITY_DEFAULT`
  `MPTCP_PLUGIN_PRIORITY_HIGH`

The documentation for this struct was generated from the following file:

- include/mptcpd/plugin.h